VirtualBox

Ticket #19326 (new defect)

Opened 22 months ago

Last modified 7 weeks ago

VirtualBox Manager 6.1.x causes BSOD when docking into HP Universal dock G2

Reported by: come_raczy Owned by:
Component: VMM Version: VirtualBox 6.1.4
Keywords: Cc:
Guest type: other Host type: Windows

Description

Host Operating system is newly imaged Windows 10.

To reproduce:

  • download and install VirtualBox 6.1.4 with all defaults
  • start the VirtualBox Manager
  • plug the HP Univeral G2 into the laptop

This will crash the Windows 10 host with a Blue Screen Of Death: "PNP DETECTED FATAL ERROR".

The problem happens only when docking. Operations while undocked are fine. Operations while docked are fine. Undocking works fine.

There isn't any VM involved (therefore no VM log). This is only from having the VirtualBox Manager started.

This is specific to versions 6.1.x. I have checked with 6.1.0, 6.1.2 and 6.1.4. I have tried installing VirtualBox both docked and undocked. I have also installed as an Administrator. The BSOD happened in all cases.

The problem does not happen with 6.0.x. I am currently using 6.0.16 without any problems.

This has been verified on two different HP Zbook 15u G5 (i7-8650u - 32GB RAM) and one HP EliteBook 840 G5. I tried both with the factory BIOS and the latest available BIOS (Jan 17 2020). It has also been verified on two different universal docks G2 - again, both with the factory firmware and with the latest available firmware.

I am attaching one of the VBoxSVC log file right agter undocking and docking. The last 3 lines of the log files were produced while undocking. No additional logging was produced when docking.

Attachments

VBoxSVC.log Download (4.2 KB) - added by come_raczy 22 months ago.
VBoxSVC - BobPlant.log Download (4.2 KB) - added by BobPlant 21 months ago.
VMM log
bluescreenview.txt Download (14.0 KB) - added by BobPlant 21 months ago.
BSOD Dump analysis by BlueScreenView
RM-BHARTMAN3-LT.txt Download (142.4 KB) - added by 94Racer 19 months ago.
Laptop System Info
050620-9859-01.zip Download (236.9 KB) - added by 94Racer 19 months ago.
Laptop BSOD Minidump file
Laptop.zip Download (81.6 KB) - added by 94Racer 19 months ago.
Laptop System Info File
crash_info.png Download (11.8 KB) - added by Ale 10 months ago.
Crash info from BlueScreenView
BSODVB6_1_22.JPG Download (132.3 KB) - added by SamuelH 7 months ago.
VBoxUSBMon.sys BSOD

Change History

Changed 22 months ago by come_raczy

Changed 21 months ago by BobPlant

VMM log

comment:1 Changed 21 months ago by BobPlant

I have the similar issue. The differece is that my Win10 host triggers BSOD if I plug-in any USB device to it when the VirtualBox Manager and/or any VM is running.

Here's my log, though I'm not sure if it can help.

Here's also the BlueScreenView analysis wich shows the possible source of the problem:

Filename          : VBoxUSBMon.sys
Address In Stack  : VBoxUSBMon.sys+2a8f
From Address      : fffff806`15f70000
To Address        : fffff806`15fa7000
Size              : 0x00037000
Time Stamp        : 0x5e4c1cec
Time String       : 18.02.2020 20:20:44
Product Name      : Oracle VM VirtualBox
File Description  : VirtualBox USB Monitor Driver
File Version      : 6.1.4.136177
Company           : Oracle Corporation
Full Path         : C:\Windows\system32\drivers\VBoxUSBMon.sys
Last edited 21 months ago by BobPlant (previous) (diff)

Changed 21 months ago by BobPlant

BSOD Dump analysis by BlueScreenView

Changed 19 months ago by 94Racer

Laptop System Info

Changed 19 months ago by 94Racer

Laptop BSOD Minidump file

Changed 19 months ago by 94Racer

Laptop System Info File

comment:2 Changed 19 months ago by 94Racer

I am experiencing a similar issue (BSOD - PNP_DETECTED_FATAL_ERROR). I have 2 PC's (laptop in docking station & desktop). I share a mouse & keyboard between the two, via a USB switch. I also experience this issue when I plug in my USB Headset. Have not tried any other USB devices. VirtualBox 6.1.6 is running on the laptop (Windows 10 version 1909). Only when I have the VirtualBox Manager open (do not need to have an active VM), do I get the BSOD. I have attached my laptop's system info and the BSOD Minidump file.

Last edited 19 months ago by 94Racer (previous) (diff)

comment:3 Changed 19 months ago by 94Racer

Big Sigh... Just upgraded to VirtualBox version 6.1.8 and still have the USB Plug-in BSOD issue. HELP!!!!

comment:4 Changed 18 months ago by wedgef5

I just removed 6.1.10 for what appears to be this issue. In my case, I have a StarTech HDMI/USB KVM, and I had switched to the "other" machine. When I switched back to the machine where VB was installed, it was completely frozen. It stayed like that for a few minutes and then crashed to the blue screen. The VB Manager was open at the time. I'm guessing that the KVM acts as a USB Hub to switch the keyboard and mouse, so it is a very similar occurrence.

comment:5 Changed 18 months ago by Craigms

Can confirm, I also have this issue in Virtual Box 6.1.10. I am running Win 10 Pro 64 bit as host. Guest is Ubuntu 64 bit, but doesn't seem to matter as this occurs before VM is running (but when Virtual Box Manager is running). Plugging in USB devices before starting VirtualBox is ok, but anything plugged in after causes BSoD.

From BlueScreenView:

Filename          : VBoxUSBMon.sys
Address In Stack  : VBoxUSBMon.sys+2a8f
From Address      : fffff806`32590000
To Address        : fffff806`325c7000
Size              : 0x00037000
Time Stamp        : 0x5ed91fe7
Time String       : 5/06/2020 4:23:03 a.m.
Product Name      : Oracle VM VirtualBox
File Description  : VirtualBox USB Monitor Driver
File Version      : 6.1.10.138449
Company           : Oracle Corporation
Full Path         : C:\Windows\system32\drivers\VBoxUSBMon.sys

comment:6 in reply to: ↑ description ; follow-up: ↓ 11 Changed 18 months ago by linkerstorm

Same problem here : BSOD after USB plug any device when Manager launched.

Windows 10 x64 1909, VB 6.1.8

Edit : more info ; back to VB 6.0.22, works perfectly.

On Sun 28/06/2020 18:53:13 your computer crashed or a problem was reported
crash dump file: C:\WINDOWS\Minidump\062820-12078-01.dmp
This was probably caused by the following module: ntoskrnl.exe (nt+0x1C23A0)
Bugcheck code: 0xCA (0x2, 0xFFFF9489C6EE1B80, 0x0, 0x0)
Error: PNP_DETECTED_FATAL_ERROR
file path: C:\WINDOWS\system32\ntoskrnl.exe
product: Microsoft® Windows® Operating System
company: Microsoft Corporation
description: NT Kernel & System
Bug check description: This indicates that the Plug and Play Manager encountered a severe error, probably as a result of a problematic Plug and Play driver.
The crash took place in the Windows kernel. Possibly this problem is caused by another driver that cannot be identified at this time.

On Sun 28/06/2020 18:53:13 your computer crashed or a problem was reported
crash dump file: C:\WINDOWS\MEMORY.DMP
This was probably caused by the following module: vboxusbmon.sys (VBoxUSBMon+0x2A8F)
Bugcheck code: 0xCA (0x2, 0xFFFF9489C6EE1B80, 0x0, 0x0)
Error: PNP_DETECTED_FATAL_ERROR
file path: C:\WINDOWS\system32\drivers\vboxusbmon.sys
product: Oracle VM VirtualBox
company: Oracle Corporation
description: VirtualBox USB Monitor Driver
Bug check description: This indicates that the Plug and Play Manager encountered a severe error, probably as a result of a problematic Plug and Play driver.
A third party driver was identified as the probable root cause of this system error. It is suggested you look for an update for the following driver: vboxusbmon.sys (VirtualBox USB Monitor Driver, Oracle Corporation).
Google query: vboxusbmon.sys Oracle Corporation PNP_DETECTED_FATAL_ERROR

Last edited 17 months ago by linkerstorm (previous) (diff)

comment:7 Changed 17 months ago by Vikrell

I have the same issue with 6.1.xx, including the latest 6.1.12. Looks like the VBoxUSBMon.sys driver hasn't been updated, still at version 6.0.24.139119.

I encounter the issue with my CalDigit Thunderbolt dock as well.

comment:8 Changed 16 months ago by jomppa

I can confirm this with 6.1.12 (driver version 6.1.12.139181). Lenovo P70 (Windows 10), without dock or any other connected USB devices, will crash as soon as I plug mouse in.

comment:9 Changed 15 months ago by drankinatty

This problem seems to be triggered by Windows 7 User Account Control (UAC). I can't even install simple updates to PuTTY, etc. without 6.1 causing a BLUE screen and reboot. This is triggered any time you are prompted to allow a change to your computer with UAC. The UAC dialog is displayed and the remainder of the screen is darkened. After choosing "Yes" to allow the change, the darken background is not removed from any open windows and about 5 seconds later BLUE SCREEN, and the Virtualbox 6.1 reboot screen is shown. This will occur if you simply attempt to start the command prompt with "Run As Administrator". I have 3 Minidumps collected if needed and the Event Viewer reports the critical error as "Kernel Power" (which I don't think is very useful)

However, as a test, I disabled UAC completely and attempted the updates to PuTTY again. With UAC disable, there is no problem. So the bug in 6.1 causing the BLUE SCREEN crash is triggered any time elevated privileges are needed and UAC is activated. I have run this same VM for 5+ years and never had any problem with the 5.1 or 5.2 Virtualbox branches. There is something in the UAC overlay that triggers the virtualbox crash.

Let me know if the Minidumps will be of any use and I'm happy to attach them.

comment:10 Changed 14 months ago by BeCase

I have the same error without any device plugged in with Oracle VirtualBox 6.1.12 and ASUS ROG Strix SCAR II GL504GS-ES109T, during starting Windows 10 system.

comment:11 in reply to: ↑ 6 Changed 13 months ago by stagadet

Same problem also here: On VB 6.1.16, when I plug any USB device with Manager or VM opened I get BSOD for PNP_DETECTED_FATAL_ERROR. Bluescreenview says it is related to VBoxUSBMon.sys.

Reverting to VB6.0.24 solves the issue.

SW: Win10 Pro 20H2 HW: Lenovo E580 (i7-8550U 48GB RAM)

. Replying to linkerstorm:

Same problem here : BSOD after USB plug any device when Manager launched.

Windows 10 x64 1909, VB 6.1.8

Edit : more info ; back to VB 6.0.22, works perfectly.

On Sun 28/06/2020 18:53:13 your computer crashed or a problem was reported
crash dump file: C:\WINDOWS\Minidump\062820-12078-01.dmp
This was probably caused by the following module: ntoskrnl.exe (nt+0x1C23A0)
Bugcheck code: 0xCA (0x2, 0xFFFF9489C6EE1B80, 0x0, 0x0)
Error: PNP_DETECTED_FATAL_ERROR
file path: C:\WINDOWS\system32\ntoskrnl.exe
product: Microsoft® Windows® Operating System
company: Microsoft Corporation
description: NT Kernel & System
Bug check description: This indicates that the Plug and Play Manager encountered a severe error, probably as a result of a problematic Plug and Play driver.
The crash took place in the Windows kernel. Possibly this problem is caused by another driver that cannot be identified at this time.

On Sun 28/06/2020 18:53:13 your computer crashed or a problem was reported
crash dump file: C:\WINDOWS\MEMORY.DMP
This was probably caused by the following module: vboxusbmon.sys (VBoxUSBMon+0x2A8F)
Bugcheck code: 0xCA (0x2, 0xFFFF9489C6EE1B80, 0x0, 0x0)
Error: PNP_DETECTED_FATAL_ERROR
file path: C:\WINDOWS\system32\drivers\vboxusbmon.sys
product: Oracle VM VirtualBox
company: Oracle Corporation
description: VirtualBox USB Monitor Driver
Bug check description: This indicates that the Plug and Play Manager encountered a severe error, probably as a result of a problematic Plug and Play driver.
A third party driver was identified as the probable root cause of this system error. It is suggested you look for an update for the following driver: vboxusbmon.sys (VirtualBox USB Monitor Driver, Oracle Corporation).
Google query: vboxusbmon.sys Oracle Corporation PNP_DETECTED_FATAL_ERROR

Changed 10 months ago by Ale

Crash info from BlueScreenView

comment:12 Changed 10 months ago by Ale

Same problem since I updated from 6.0 to 6.1.18 (r142142). Already two crashes in a single day, so of course I'll downgrade to 6.0 again hoping this gets fixed very soon as it makes VitrualBox basically unusable.

https://www.virtualbox.org/raw-attachment/ticket/19326/crash_info.png

comment:13 Changed 9 months ago by edleno

Just had this same problem - in my case I'm using a Lenovo laptop with an integrated touch mouse which runs thru the USB bus. When I tried to disable USB I discovered I couldn't because the input device in use was the touch mouse. Changed it to use my external mouse (which happens to ALSO be USB) and the BSOD's went away, AND I was able to use a USB device in the VM. So somehow related to one of the internal USB hubs of the laptop being used as the mouse. Running 6.1.18 and got the same PNP_DETECTED_FATAL_ERROR message with Windows BSOD.

Last edited 9 months ago by edleno (previous) (diff)

comment:14 Changed 8 months ago by davemosk

Same problem on a Dell xps13 9360 laptop. Happens with remarkable frequency.

comment:15 Changed 8 months ago by ArfurM

I have the same issue running on v.6.1.18. Host OS is Win Server 2019; when closing down Debian-based VM (Ubuntu-Neon), I get the BSOD with "PNP Detected fatal error". It doesn't seem to happen with my Win10 32-bit VM. Sorry I'm quite new to "home virtualisation", so don't have much supporting info., but thought it was worth mentioning in case the host OS gives any leads

comment:16 Changed 7 months ago by TimW

I have a similar issue. Whenever I plug in a USB drive when VBox Manager is running, I can't see the drive, and can't eject/remove it. The only thing I can do is reboot, which causes a BSOD. I tried to downgrade to 6.0.16, but that didn't help.

Changed 7 months ago by SamuelH

VBoxUSBMon.sys BSOD

comment:17 Changed 7 months ago by SamuelH

Still the same with 6.1.22 version. When VBox Manager is running, any USB device plug-in will still cause BSOD PNP_DETECTED_FATAL_ERROR in VBoxUSBMon.sys. Dell Precision 7730 VBoxUSBMon.sys BSOD

Last edited 7 months ago by SamuelH (previous) (diff)

comment:18 Changed 2 months ago by berka

I can confirm same problem, same location at VBoxUSBMon on 6.1.26r145957 (Qt5.6.2)

BSOD every time I arrive at the office and plug in my dock...

There's a potentially-interesting tidbit: USBPcap is in the stack too.


BUGCHECK_CODE:  ca
BUGCHECK_P1: 2
BUGCHECK_P2: ffff868e42661ad0
BUGCHECK_P3: 0
BUGCHECK_P4: 0
DEVICE_OBJECT: ffff868e42661ad0
DRIVER_OBJECT: ffff868e347c5df0
IMAGE_NAME:  VBoxUSBMon.sys
FAULTING_MODULE: fffff80579e90000 UsbHub3
STACK_TEXT:  
ffffee0c`b2f36c48 fffff805`7063b475     : 00000000`000000ca 00000000`00000002 ffff868e`42661ad0 00000000`00000000 : nt!KeBugCheckEx
ffffee0c`b2f36c50 fffff805`76b12a9f     : ffff868e`2c1ef124 ffffee0c`b2f36da0 ffff868e`2c1ef010 ffffee0c`00000010 : nt!IoGetDevicePropertyData+0x12a395
ffffee0c`b2f36ca0 fffff805`76b13791     : ffff868e`2c1ef010 ffff868e`42661ad0 ffffee0c`b2f37200 00000000`00000013 : VBoxUSBMon+0x2a9f
ffffee0c`b2f36f60 fffff805`76b11418     : ffff868e`38c8d6b0 00000000`00000000 ffffee0c`b2f370c1 fffff805`7008caf1 : VBoxUSBMon+0x3791
ffffee0c`b2f36fc0 fffff805`76b11634     : ffff868e`38c8d680 fffff805`00000000 ffff868e`340116d0 00000000`00989680 : VBoxUSBMon+0x1418
ffffee0c`b2f36ff0 fffff805`7008508e     : ffff868e`38c8d680 ffffee0c`b2f370a9 00000000`00000000 00000000`00000fff : VBoxUSBMon+0x1634
ffffee0c`b2f37020 fffff805`70084f57     : 00000000`0000002c fffff805`707b2100 00000000`00000003 ffff868e`3476cda0 : nt!IopfCompleteRequest+0x11e
ffffee0c`b2f37110 fffff805`71da4b89     : ffff868e`00000000 ffff868e`3a1d88b0 ffffee0c`b2f37250 00000000`0000002c : nt!IofCompleteRequest+0x17
ffffee0c`b2f37140 fffff805`71db86d3     : 00000000`00000000 ffff9a0a`a812454a 00000000`00000000 0000017a`00000000 : Wdf01000!FxPkgPnp::CompletePnpRequest+0x35 [minkernel\wdf\framework\shared\irphandlers\pnp\fxpkgpnp.cpp @ 6108] 
ffffee0c`b2f37170 fffff805`71dacc60     : ffff868e`4a5d2870 ffff868e`4299bc10 ffff868e`4299baa0 ffff868e`38c8dca8 : Wdf01000!FxPkgPdo::_PnpQueryId+0xc3 [minkernel\wdf\framework\shared\irphandlers\pnp\fxpkgpdo.cpp @ 1484] 
ffffee0c`b2f371e0 fffff805`71db3724     : ffff868e`38c8d680 ffff868e`4299bc10 00000000`c00000bb ffff868e`38c8dca8 : Wdf01000!FxPkgPnp::Dispatch+0xb0 [minkernel\wdf\framework\shared\irphandlers\pnp\fxpkgpnp.cpp @ 765] 
ffffee0c`b2f37250 fffff805`71db36b4     : ffff868e`38c8d680 ffff868e`4299bc10 ffff868e`4299baa0 ffff868e`38c8dca8 : Wdf01000!DispatchWorker+0x54 [minkernel\wdf\framework\shared\core\fxdevice.cpp @ 1592] 
ffffee0c`b2f37280 fffff805`71db3835     : ffff868e`3476cda0 00000000`00000000 ffff868e`38c8d680 fffff805`79eeece8 : Wdf01000!FxDevice::DispatchPreprocessedIrp+0x88 [minkernel\wdf\framework\shared\core\fxdevice.cpp @ 1654] 
ffffee0c`b2f372c0 fffff805`79ea66fd     : ffff868e`4299baa0 ffff868e`38c8d680 00007971`bd664558 fffff805`00000000 : Wdf01000!imp_WdfDeviceWdmDispatchPreprocessedIrp+0x65 [minkernel\wdf\framework\shared\core\km\fxdeviceapikm.cpp @ 258] 
ffffee0c`b2f37300 fffff805`71daa977     : ffff868e`38c8d680 00000000`0000001b ffff868e`4299baa0 00000000`00000000 : UsbHub3!HUBPDO_EvtDeviceWdmIrpPnPPowerPreprocess+0x42d
ffffee0c`b2f37350 fffff805`7008f865     : 00000000`00000020 ffff868e`38c8dca8 ffff868e`469d8860 00000000`00000000 : Wdf01000!FxDevice::DispatchWithLock+0x267 [minkernel\wdf\framework\shared\core\fxdevice.cpp @ 1447] 
ffffee0c`b2f373b0 fffff805`7c5b327f     : ffff868e`38c8d680 ffff868e`46bd8ec0 ffff868e`46bd8ea0 ffff868e`46bd8d50 : nt!IofCallDriver+0x55
ffffee0c`b2f373f0 fffff805`7c5b3115     : ffff868e`38c8d680 ffff868e`46bd8d50 00000000`00000000 ffff868e`46bd8ea0 : USBPcap+0x327f
ffffee0c`b2f37440 fffff805`76b116e7     : fffff805`76b33010 ffff868e`46bd8d50 00000000`00000000 00000000`00000000 : USBPcap+0x3115
ffffee0c`b2f37480 fffff805`7008f865     : ffff868e`38c8d680 ffffee0c`b2f375a0 00000000`00000000 00000000`00000000 : VBoxUSBMon+0x16e7
ffffee0c`b2f374c0 fffff805`7c57861c     : 00000000`00000000 ffffee0c`b2f375a0 00000000`00000000 ffff9a0a`73c5c680 : nt!IofCallDriver+0x55
ffffee0c`b2f37500 fffff805`7c578737     : 00000000`00000000 ffffee0c`b2f37700 ffffee0c`b2f37668 00000000`46555354 : tsusbflt!IopSynchronousCall+0xf0
ffffee0c`b2f37560 fffff805`7c57336b     : 00000000`00000000 ffff868e`480a2f10 ffff868e`480a2f10 00000100`00000000 : tsusbflt!PnpIrpQueryID+0x53
ffffee0c`b2f37600 fffff805`7c5727d8     : ffff868e`4db53cc0 ffff868e`4db53c00 ffff868e`4306cd60 00000000`00000000 : tsusbflt!CUsbBusFilter::AllocatePdoProprietaryIdObject+0x177
ffffee0c`b2f378d0 fffff805`7c580baf     : 00000000`00000000 ffff868e`415969d0 00000000`00000000 00000000`00000000 : tsusbflt!CUsbBusFilter::EvtQueryBusRelationsCompletionWorkItemCallback+0x210
ffffee0c`b2f37990 fffff805`71dac6a8     : ffff868e`347cad90 ffff868e`4db53bc0 00000000`00000000 00000000`00000300 : tsusbflt!FdQueryBusRelationsCompletionWorkItemCallback+0x5f
ffffee0c`b2f379c0 fffff805`70074995     : ffff868e`4e686520 ffff868e`4e686500 ffff868e`497ed0e0 fffff805`71dac5c0 : Wdf01000!FxWorkItem::WorkItemThunk+0xe8 [minkernel\wdf\framework\shared\core\fxworkitem.cpp @ 431] 
ffffee0c`b2f37a00 fffff805`700b8515     : ffff868e`3fb07040 ffff868e`3fb07040 fffff805`70074860 ffffee0c`00000000 : nt!IopProcessWorkItem+0x135
ffffee0c`b2f37a70 fffff805`70155855     : ffff868e`3fb07040 00000000`00000080 ffff868e`2c6b5080 fffff805`7008211c : nt!ExpWorkerThread+0x105
ffffee0c`b2f37b10 fffff805`701fe818     : fffff805`6a5a4180 ffff868e`3fb07040 fffff805`70155800 fffff805`701f9225 : nt!PspSystemThreadStartup+0x55
ffffee0c`b2f37b60 00000000`00000000     : ffffee0c`b2f38000 ffffee0c`b2f31000 00000000`00000000 00000000`00000000 : nt!KiStartSystemThread+0x28
Last edited 2 months ago by berka (previous) (diff)

comment:19 Changed 2 months ago by berka

Can any other reporters confirm if USBPcap is in their stack too? USBPcap is installed as an option under Wireshark. It could be the common thing in this seemingly-rare bluescreen.

BTW, my hardware details are below too.

OS Name	Microsoft Windows 10 Pro
Version	10.0.19043 Build 19043
System Manufacturer	LENOVO
System Model	20EV002FUS
System Type	x64-based PC
System SKU	LENOVO_MT_20EV_BU_Think_FM_ThinkPad E560
Processor	Intel(R) Core(TM) i5-6200U CPU @ 2.30GHz, 2401 Mhz, 2 Core(s), 4 Logical Processor(s)
BIOS Version/Date	LENOVO R00ET66W (1.41 ), 4/21/2021
SMBIOS Version	2.8
Embedded Controller Version	1.41
BIOS Mode	UEFI
BaseBoard Manufacturer	LENOVO
BaseBoard Product	20EV002FUS
BaseBoard Version	SDK0J40705 WIN

comment:20 Changed 8 weeks ago by stagadet

Hi berka, unfortunately I don't have USBPcap installed: here there is my stack text from windbg:

STACK_TEXT:  
ffffc386`58755948 fffff800`56032bfd     : 00000000`000000ca 00000000`00000002 ffff8485`9b86e7f0 00000000`00000000 : nt!KeBugCheckEx
ffffc386`58755950 fffff800`61552a8f     : ffff8485`87d10144 ffffc386`58755aa0 ffff8485`87d10030 ffffc386`0000002c : nt!IoGetDevicePropertyData+0x144ded
ffffc386`587559a0 ffff8485`87d10144     : ffffc386`58755aa0 ffff8485`87d10030 ffffc386`0000002c ffffc386`00000600 : VBoxUSBMon+0x2a8f
ffffc386`587559a8 ffffc386`58755aa0     : ffff8485`87d10030 ffffc386`0000002c ffffc386`00000600 ffff8485`87d10144 : 0xffff8485`87d10144
ffffc386`587559b0 ffff8485`87d10030     : ffffc386`0000002c ffffc386`00000600 ffff8485`87d10144 ffffc386`587559e0 : 0xffffc386`58755aa0
ffffc386`587559b8 ffffc386`0000002c     : ffffc386`00000600 ffff8485`87d10144 ffffc386`587559e0 ffffc386`587559e4 : 0xffff8485`87d10030
ffffc386`587559c0 ffffc386`00000600     : ffff8485`87d10144 ffffc386`587559e0 ffffc386`587559e4 00000000`00000000 : 0xffffc386`0000002c
ffffc386`587559c8 ffff8485`87d10144     : ffffc386`587559e0 ffffc386`587559e4 00000000`00000000 00000000`00000000 : 0xffffc386`00000600
ffffc386`587559d0 ffffc386`587559e0     : ffffc386`587559e4 00000000`00000000 00000000`00000000 000222bf`0000ffff : 0xffff8485`87d10144
ffffc386`587559d8 ffffc386`587559e4     : 00000000`00000000 00000000`00000000 000222bf`0000ffff ffff8485`87e00290 : 0xffffc386`587559e0
ffffc386`587559e0 00000000`00000000     : 00000000`00000000 000222bf`0000ffff ffff8485`87e00290 00000000`00000075 : 0xffffc386`587559e4

comment:21 Changed 7 weeks ago by berka

Thanks for checking on USBPcap. So that's not it. I'm kind of relieved as that would probably be more complicated.

BTW, @stagadet, your offsets are slightly different, but still in the vicinity.

I don't know how to get debug symbols for these, but I only found 3 places IoGetDevicePropertyData() is used in VBoxUSBMon. Around: https://www.virtualbox.org/browser/vbox/trunk/src/VBox/HostDrivers/VBoxUSB/win/mon/VBoxUsbFlt.cpp#L573

Based on:

  • Bugcheck 0xCA(0x2,...) description "Invalid PDO: An API which requires a PDO has been called with random memory, or with an FDO, or with a PDO which hasn't been initialized."
  • And looking around that code, and reading some comments on its purpose.

My uninformed hunch is either:

  • pDo validity is not checked by VBox at some earlier point
  • Device removal is happening between getting a pDo and then trying to pass it to IoGetDevicePropertyData()

That latter seems unlikely to me; it would be a huge oversight on the OS API.

Last edited 7 weeks ago by berka (previous) (diff)

comment:22 Changed 7 weeks ago by berka

I can't figure out how to find specific people responsible for changes. I'm guessing because all the actual development/merging is done closed inside Oracle.

Last changes I see in the area are: https://www.virtualbox.org/changeset/81083/vbox

May be this will help: [81083]

If anyone knows how to get the attention of the person that dove into this last, please do that.

Last edited 6 weeks ago by berka (previous) (diff)
Note: See TracTickets for help on using tickets.

www.oracle.com
ContactPrivacy policyTerms of Use